Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.trackback.event
Class TrackbackEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.admin.event.EntryEvent
              org.blojsom.plugin.trackback.event.TrackbackEvent

Direct Known Subclasses:
  TrackbackAddedEvent, TrackbackApprovedEvent, TrackbackDeletedEvent, TrackbackMarkedSpamEvent, TrackbackUnapprovedEvent, TrackbackUnmarkedSpamEvent

public class TrackbackEvent
extends EntryEvent

Trackback Event indicates an event dealing with a `Trackback`.

Since:
  blojsom 3.0
Version:
  $Id: TrackbackEvent.java,v 1.1 2006/03/20 21:31:04 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`protected Trackback` | `_trackback`

Fields inherited from class org.blojsom.plugin.admin.event.EntryEvent
`_blog, _entry`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`TrackbackEvent(java.lang.Object source, java.util.Date timestamp, Trackback trackback, Blog blog)` Create a new event indicating something happened with a `Trackback` in the system.

Method Summary
`Trackback` | `getTrackback()` Retrieve the `Trackback` associated with the event

Methods inherited from class org.blojsom.plugin.admin.event.EntryEvent
`getBlog, getEntry`

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _trackback

    protected Trackback _trackback

Constructor Detail

### TrackbackEvent

    public TrackbackEvent(java.lang.Object source,
                          java.util.Date timestamp,
                          Trackback trackback,
                          Blog blog)

  Create a new event indicating something happened with a `Trackback` in the system.

Parameters:
  `source` - Source of the event
  `timestamp` - Event timestamp
  `trackback` - `Trackback`
  `blog` - `Blog`

Method Detail

### getTrackback

    public Trackback getTrackback()

  Retrieve the `Trackback` associated with the event

  Returns:
    `Trackback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD